<?php
include("../config.php3");
include($BIB."bib_generic.php3");

// on ne prend en compte la saisie de l'utilisateur si celle-ci contient
// au moins 3 caracteres
$lenSaisie = strlen($_GET['TeamName']);
//debug("Saisie : ".$lenSaisie);
if ($lenSaisie >= 3) {
	//debug("queryTeams:".$_GET['queryTeams']);
	// on formate la chaine qui contient les équipes déjà saisies
	$tabTeams = explode('$', $_GET['queryTeams']);
	$len = sizeof($tabTeams);

	for ($i=0; $i<$len; $i++) {
		$tabTeams[$i] = sprintf('\'%s\'', $tabTeams[$i]);
	}

	// on transforme la tableau en chaine de caracteres
	$stringTeams = implode(",", $tabTeams);
	//debug("stringTeams : ".$stringTeams);
	$query = "SELECT name FROM Teams WHERE name LIKE '%".$_GET['TeamName']."%' AND name NOT IN (".$stringTeams.")";
	$teams = main_db_query($query);
	//debug("ma requete : ".$query);

	while($team = db_fetch_assoc($teams))
	{
		echo utf8_encode($team['name'])."\n";
		//debug($team['name']."\n");
	}
}
?>